search {base} | R Documentation

## Give Search Path for R Objects

### Description

Gives a list of `attach`ed packages (see `library`), and R objects, usually `data.frames`.

### Usage

    search()
    searchpaths()

### Value

A character vector, starting with `".GlobalEnv"`, and ending with `"package:base"` which is R's base package required always.

`searchpaths` gives a similar character vector, with the entries for packages being the path to the package used to load the code.

### See Also

`attach` and `detach` to change the search ``path'', `objects` to find R objects in there.

### Examples

    search()
    searchpaths()

[Package Contents]